PDA

View Full Version : Cannot install from play store on china tablet



Mangix
July 17th, 2016, 02:42 PM
The error is "Your device isn't compatible with this version". I have to hunt for the apk to install foobar. Multiple apks have issues with this actually. It was suggested that Bluetooth might be the reason(this tablet has no bluetooth) but even my camera app (Open Camera) has the same issue with the play store. Many apps have no issues though. Anything I can do to help debug this?